CustomTHsHaServer.SelectorThread (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CustomTHsHaServer.SelectorThread

    java.lang.Object
      java.lang.Thread
          org.apache.cassandra.thrift.CustomTHsHaServer.SelectorThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  CustomTHsHaServer

    protected class CustomTHsHaServer.SelectorThread

extends java.lang.Thread

IO Threads will perform expensive IO operations...

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CustomTHsHaServer.SelectorThread(java.lang.String name)`

Method Summary
`void` | `requestSelectInterestChange(org.apache.thrift.server.TNonblockingServer.FrameBuffer frameBuffer)`
`void` | `run()`
`void` | `wakeupSelector()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomTHsHaServer.SelectorThread

    public CustomTHsHaServer.SelectorThread(java.lang.String name)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### requestSelectInterestChange

    public void requestSelectInterestChange(org.apache.thrift.server.TNonblockingServer.FrameBuffer frameBuffer)

### wakeupSelector

    public void wakeupSelector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation